Create Bulk Leads in Lead List

This API allows you to create bulk leads in lead list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl--Request Post\
--URL 'https://api-smartflo.tatateleservices.com/v1/broadcast/leads/441940' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI1NjI5IiwiY3IiOnRydWUsImlzcyI6Imh0dHBzOi8vY2xvdWRwaG9uZS50YXRhdGVsZXNlcnZpY2VzLmNvbS90b2tlbi9nZW5lcmF0ZSIsImlhdCI6MTczODQ4Mzg3MSwiZXhwIjoyMDM4NDgzODcxLCJuYmYiOjE3Mzg0ODM4NzEsImp0aSI6IlM1U0xURFN2UnBHd1ljZTcifQ.pelzMbadl2IYMT-k5YTxF0R24qFIPX7yHDAExxFVF1E' \
--header 'Content-Type: application/json' \
--data '{
    "data": [
        {
            "field_0":"999999XXXX",
            "field_1":"Test"
        },
        {
            "field_0":"99999346XX",
            "field_1":"Test1"
        }
    ],
    "duplicate_option":"skip"
}'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to create bulk leads in lead list.

Variable NameDescriptionData Type
idUnique ID of the lead list.string

Request Variables (Body Params)

The following parameter is required to create bulk leads in lead list.

Variable NameDescriptionData Type
dataThe array containing lead objects.Array of objects
skill_idUnique identifier representing the assigned skill or expertise for task routing.String
duplicate_options

It will either allow or prevent the entry of duplicate records. If the number already exists and the following values are passed:

"skip": The system will not create a new entry for the lead.
"overwrite": The system will update the existing entry with the new details.
"clone": The system will create a new entry for the lead.

String

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
data
array
required

The array containing Lead objects

data*
string
string

Eg: "skip" / "overwrite" / "clone"

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json